Part Helix/pl: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Created page with "{{Docnav/pl |Klin |Spirala |środowisko pracy Część |IconL=Part_Wedge.svg |IconR=Part_Spiral.svg |IconC=Workbench_Part.svg }}")
Line 1: Line 1:
<languages/>
<languages/>


{{Docnav
{{Docnav/pl
|[[Part_Wedge|Wedge]]
|[[Part_Wedge/pl|Klin]]
|[[Part_Spiral|Spiral]]
|[[Part_Spiral/pl|Spirala]]
|[[Part_Workbench|Part]]
|[[Part_Workbench/pl|środowisko pracy Część]]
|IconL=Part_Wedge.svg
|IconL=Part_Wedge.svg
|IconR=Part_Spiral.svg
|IconR=Part_Spiral.svg

Revision as of 19:40, 23 June 2023

Part Helix

Menu location
Part → Create primitives → Helix
Workbenches
Part, OpenSCAD
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

A Part Helix is a parametric shape that can be created with the Part Primitives command. In the coordinate system defined by its DANEPlacement property, the axis of the helix matches the Z axis and its bottom point, the start point, lies on the X axis.

Usage

See Part Primitives.

Example

Part Helix from the scripting example

A Part Helix object created with the scripting example below is shown here.

Notes

Properties

See also: Property editor.

A Part Helix object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Coordinate System

  • DANELocal Coord (Enumeration): The handedness, or direction, of the helix: Right-handed or Left-handed. The default is Right-handed, meaning the helix turns counterclockwise as it goes up.

Helix

  • DANEPitch (Length): The distance between two consecutive turns of the helix measured along its Z axis. The default is 1mm.
  • DANEHeight (Length): The height of the helix. The default is 2mm.
  • DANERadius (Length): The start radius of the helix. The helix has a constant radius if DANEAngle is .
  • DANESegment Length (QuantityConstraint): The number of turns per helix subdivision. The default is 1, meaning each full turn of the helix is a separate segment. Use 0 to suppress subdivision.
  • DANEAngle (Angle): The angle that defines of the outer shape of the helix. Valid range: -90° < value < 90°. The default is . If it is the helix is cylindrical, else it is conical.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Helix can be created with the addObject() method of the document:

helix = FreeCAD.ActiveDocument.addObject("Part::Helix", "myHelix")
  • Where "myHelix" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

helix = doc.addObject("Part::Helix", "myHelix")
helix.Pitch = 2
helix.Height = 3
helix.Radius = 4
helix.SegmentLength = 21
helix.Angle = 45
helix.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()